<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("fab_nom","fabricantes","id_fab=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("fabricantes","fab_nom='$StrNom'")>0){
			$LStrMsg="Nombre del fabricante ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_fab","fabricantes");
			$s="INSERT INTO fabricantes VALUES ($Id,'$StrNom')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("fabricantes","fab_nom='$StrNom' AND id_fab<>$StrId")>0){
			$LStrMsg="Nombre del fabricante ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE fabricantes SET fab_nom='$StrNom'
				WHERE id_fab=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}
	}
	if($StrCmd=="E"){
	
		if(gn("count(*)","productos","pro_id_fab=$StrId")>0){
			$LStrMsg="Uno o mas *productos* estan relacionados al presente registro,";
			$LStrMsg=$LStrMsg." por lo tanto no se puede eliminar.";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		
		if(strlen($StrGT)==0){
			$s="DELETE FROM fabricantes WHERE id_fab=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>